import win32.windows;
import std.string;
import std.utf;
import win32frame.writek;
import win32frame.WindowObject ;


class RadioButton : WindowObject {
  
  this(string name) {
    winc.lpszClassName  = toUTFz!(wchar*)("BUTTON") ;
    setStyle( (WS_CHILD | WS_VISIBLE | BS_AUTORADIOBUTTON) ) ;
    super(name) ;
  }

  int getState() {
    return( cast(int)sendmsg( BM_GETCHECK , 0 , 0) ) ;
  }

  int setState(uint state) {
    return( cast(int)sendmsg(BM_SETCHECK , state , 0) ) ;
  }

}
